Ponder.registry((event) => {
    event.create([Item.of('solarcraft:solar_infuser', '{solarcraft_runic_energy:{}}'),'solarcraft:solar_forge_infusion_pool'])
       
    .scene("solarcraft_infuser_base", "Building the solarcraft infuser", "kubejs:infuser_base", (scene, util) => {
        scene.showStructure();
        scene.idle(10)
        scene.text(40, "§9 13x13的结构")
        scene.text(20, "搭建完成请切换魔杖模式为结构检查模式，右键注魔核心检查完整性", [6.5, 1, 7.5]).placeNearTarget()

        scene.idle(20)
            scene.world.setBlock([2, 1, 3], "minecraft:hopper", false)
            scene.world.showSection([2, 1, 3], Facing.WEST)
            scene.world.setBlock([2, 2, 3], "minecraft:chest", false)
            scene.world.showSection([2, 2, 3], Facing.down)
            scene.text(20, "注魔基座可以使用漏斗或者管道自动输入", [2.5, 1, 3.5]).placeNearTarget()   
        scene.idle(20)
            scene.world.setBlock([6, 1, 7], "create:brass_funnel", false)
            scene.world.showSection([6, 1, 7], Facing.down)
            scene.world.setBlock([6, 1, 8], "minecraft:chest", false)
            scene.world.showSection([6, 1, 7], Facing.down)
            scene.text(20, "注魔核心可以使用管道类自动化，需要加装过滤抽取已合成物品，否则无法继续自动合成", [6.5, 1, 7.5]).placeNearTarget()
        scene.idle(20)
            scene.showControls(60, [6.5, 1, 6.5], "down")
                .rightClick()
                .withItem("solarcraft:solar_wand")
                scene.text(40, "请将魔杖切换至合成模式开始合成", [6.5, 1, 7.5]).placeNearTarget()

        
  

    })
    .scene("solarcraft_infuser_1", "Building the solarcraft infuser", "kubejs:infuser_1", (scene, util) => {
        scene.showStructure();
        scene.idle(20)
        scene.showControls(60, [6.5, 1, 6.5], "down")
            .rightClick()
            .withItem("solarcraft:solar_wand")
            scene.text(40, "请将魔杖切换至合成模式", [6.5, 1, 7.5]).placeNearTarget()
        
    })
    .scene("solarcraft_infuser_2", "Building the solarcraft infuser", "kubejs:infuser_2", (scene, util) => {
            
        scene.showStructure();
    })
    .scene("solarcraft_infuser_3", "Building the solarcraft infuser", "kubejs:infuser_3", (scene, util) => {
            
        scene.showStructure();
    })

   

   
   




});  